Bug 1302077 - Auto-created admin users cannot select an organization
Auto-created admin users cannot select an organization
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles (Show other bugs)
6.1.6
Unspecified Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 12:44 EST by dzr0001
Modified: 2017-08-01 16:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:33:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dzr0001 2016-01-26 12:44:19 EST
Description of problem:

Admin users created via ldap auto-creation cannot select an organization or assign an organization to themselves. They can assign organizations to other admin users.

Version-Release number of selected component (if applicable):

Satellite 6.1.6

How reproducible:

100%

Steps to Reproduce:
1. Configure ldap source and external usergroup with admin role
2. Set ldap to auto-create user and sync external groups
3. Login with new admin user
4. Attempt to set organization context

and

1. As admin user attempt to assign an organization to yourself

Actual results:

Cannot select organization. Context driven pages such as Content Hosts will redirect and display an error that you do not have permissions.

Admin users can also not assign an organization to their own user.

Expected results:

Admin users should be able to select any context and assign organizations to their own user.

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:06:00 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-08-01 16:33:32 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.